summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-06-13 17:00:10 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-13 17:00:10 -0500
commit6abda57a3f2477d2d151ba39eb63b989e3c324b1 (patch)
treeb91229c8f3f031dbd7f03ee82c7d7026386c9d06
parentb71cf2bad495af4767db5e3e9613f87bf4fbb60e (diff)
downloadslackbuilds-6abda57a3f2477d2d151ba39eb63b989e3c324b1.tar.gz
slackbuilds-6abda57a3f2477d2d151ba39eb63b989e3c324b1.tar.xz
graphics/qcad-partlibrary: Added (PART library for qcad)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--graphics/qcad-partlibrary/README5
-rw-r--r--graphics/qcad-partlibrary/qcad-partlibrary.SlackBuild47
-rw-r--r--graphics/qcad-partlibrary/qcad-partlibrary.info10
-rw-r--r--graphics/qcad-partlibrary/slack-desc19
4 files changed, 81 insertions, 0 deletions
diff --git a/graphics/qcad-partlibrary/README b/graphics/qcad-partlibrary/README
new file mode 100644
index 0000000000..4fb21dc01e
--- /dev/null
+++ b/graphics/qcad-partlibrary/README
@@ -0,0 +1,5 @@
+The 'Part Library' is a collection of about 4500 mechanical, electrical and
+processing symbols and parts in DXF format. It can be easily integrated into
+QCAD and accessed with the built-in library browser of QCAD.
+
+This requires qcad.
diff --git a/graphics/qcad-partlibrary/qcad-partlibrary.SlackBuild b/graphics/qcad-partlibrary/qcad-partlibrary.SlackBuild
new file mode 100644
index 0000000000..870d0764d1
--- /dev/null
+++ b/graphics/qcad-partlibrary/qcad-partlibrary.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for qcad-partlibrary
+# a collection of about 4.500 parts in DXF format for QCAD.
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/05/09
+
+PRGNAM=qcad-partlibrary
+VERSION=${VERSION:-2.1.2.8}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Version of source is a bit different:
+SRCPKG=partlibrary-${VERSION}-1
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCPKG
+tar xvf $CWD/$SRCPKG.tar.gz
+cd $SRCPKG
+
+# Correct permissions (some parts come w/o global read permission)
+chown -R root:root .
+find -type f -exec chmod 644 {} \;
+
+# "Install" library
+mkdir -p $PKG/opt/qcad/library
+cp -a * $PKG/opt/qcad/library/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/qcad-partlibrary/qcad-partlibrary.info b/graphics/qcad-partlibrary/qcad-partlibrary.info
new file mode 100644
index 0000000000..22367aba77
--- /dev/null
+++ b/graphics/qcad-partlibrary/qcad-partlibrary.info
@@ -0,0 +1,10 @@
+PRGNAM="qcad-partlibrary"
+VERSION="2.1.2.8"
+HOMEPAGE="http://www.ribbonsoft.com/qcad.html"
+DOWNLOAD="ftp://ribbonsoft.com/archives/partlibrary/partlibrary-2.1.2.8-1.tar.gz"
+MD5SUM="e1df98084317b13bfc193fecba9d6790"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/qcad-partlibrary/slack-desc b/graphics/qcad-partlibrary/slack-desc
new file mode 100644
index 0000000000..7d78e1c05d
--- /dev/null
+++ b/graphics/qcad-partlibrary/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qcad-partlibrary: qcad-partlibrary (parts in DXF format for QCAD)
+qcad-partlibrary:
+qcad-partlibrary: The 'Part Library' is a collection of about 4500 mechanical,
+qcad-partlibrary: electrical and processing symbols and parts in DXF format. It can be
+qcad-partlibrary: easily integrated into QCAD and accessed with the built-in library
+qcad-partlibrary: browser of QCAD.
+qcad-partlibrary:
+qcad-partlibrary: Homepage: http://www.ribbonsoft.com/qcad.html
+qcad-partlibrary:
+qcad-partlibrary:
+qcad-partlibrary: